%global svnrev 268296
%global svndate 20160502

Name:		libcxxabi
Version:	%{svndate}
Release:	1.svn%{svnrev}%{?dist}
Summary:	Low level support for a standard C++ library
License:	MIT or NCSA
URL:		http://libcxxabi.llvm.org/
# svn co http://llvm.org/svn/llvm-project/libcxxabi/trunk libcxxabi
# tar --exclude-vcs -cjf libcxxabi-20160502.tar.bz2 libcxxabi
Source0:	libcxxabi-%{svndate}.tar.bz2
BuildRequires:	clang llvm-devel cmake
BuildRequires:	libcxx-devel

%description
libcxxabi provides low level support for a standard C++ library.

%package devel
Summary:	Headers and libraries for libcxxabi devel
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n %{name}

%build
mkdir _build
cd _build
%cmake .. \
	-DCMAKE_C_COMPILER=/usr/bin/clang \
	-DCMAKE_CXX_COMPILER=/usr/bin/clang++ \
	-DLLVM_CONFIG=%{_bindir}/llvm-config \
	-DCMAKE_CXX_FLAGS="-std=c++11" \
	-DLIBCXXABI_LIBCXX_INCLUDES=%{_includedir}/c++/v1/ \
%if %{__isa_bits} == 64
	-DLIBCXXABI_LIBDIR_SUFFIX:STRING=64 \
%endif
	-DCMAKE_BUILD_TYPE=RelWithDebInfo


make %{?_smp_mflags}

%install
cd _build
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_includedir}
cd ..
cp -a include/* %{buildroot}%{_includedir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.TXT
%doc CREDITS.TXT
%{_libdir}/libc++abi.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/libc++abi.a
%{_libdir}/libc++abi.so

%changelog
* Mon May 2 2016 Tom Callaway <spot@fedoraproject.org> - 20160502-1.svn268296
- initial package
